Source: libb-hooks-op-check-entersubforcv-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libb-hooks-op-check-perl,
               libb-utils-perl,
               libextutils-depends-perl,
               libmodule-install-perl,
               perl-xs-dev,
               perl:native
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libb-hooks-op-check-entersubforcv-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libb-hooks-op-check-entersubforcv-perl.git
Homepage: https://metacpan.org/release/B-Hooks-OP-Check-EntersubForCV
Rules-Requires-Root: no

Package: libb-hooks-op-check-entersubforcv-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
         libb-hooks-op-check-perl,
         libb-utils-perl
Description: Invoke callbacks on construction of entersub OPs for certain CVs
 B::Hooks::OP::Check::EntersubForCV is a perl module to register and
 unregister handlers to be executed when an entersub opcode for a
 given CV is compiled.
 .
 This enables you to hook one subroutine onto another, and have it
 executed before the originally called subroutine.
